package com.fp.frontend.webservices.snap.ruc;

import com.fp.common.logger.APPLogger;

import ec.gov.sri.wsconsultacontribuyente.Contribuyente;

/**
 * Clase que maneja el servicio del SRI en la SNAP
 *
 * @author dcruz
 *
 */
public class ClienteRUC {

    /**
     * Obtiene los datos del contribuyente seg&uacute;n el RUC enviado
     *
     * @param ruc
     * @return
     */
    public static Contribuyente obtenerRUC(String ruc) {
        Contribuyente contribuyenteResult = null;
        try {
            RucServicioService rucServicioService = new RucServicioService();
            contribuyenteResult = rucServicioService.getRucServicioPort().consultarRuc(ruc);
        } catch (Throwable e) {
            APPLogger.getLogger().error(e.getMessage(), e);
        }
        return contribuyenteResult;
    }

}
